#ifndef PAMVMC_DET_CALO_H
#define PAMVMC_DET_CALO_H

#include "PamVMCDetector.h"

#include "PamVMCCaloSD.h"

class PamVMCCaloSD;

class PamVMCDetCalo  : public PamVMCDetector {

 public:


   PamVMCDetCalo():PamVMCDetector("Calorimeter") 
     { ;  };

  void DefineGeometry();

  void DefineCuts();

  virtual void InitMC(){

    TString t = "CAST";
    PamVMCCaloSD *cal = new PamVMCCaloSD();
    fdetSD.Add(new TObjString(t), cal);
    PamVMCSDMgr::Instance()->SetSD(t,cal);
    GetVol(t)->SetField(cal);
  }

  ClassDef(PamVMCDetCalo,1)
};


#endif //PAMVMC_DET_CALO_H
